### Function

# Json boxed_can_serialize

since: 0.10

#### Declaration [src]

    gboolean
    json_boxed_can_serialize (
      GType gboxed_type,
      JsonNodeType* node_type
    )

#### Description [src]

Checks whether it is possible to serialize a `GBoxed` of type `gboxed_type` into a `JsonNode`.

The type of the node is placed inside `node_type` if the function returns `TRUE`, and it’s undefined otherwise.

Available since: 0.10

#### Parameters

`gboxed_type`

  Type: `GType`

  A boxed type.

`node_type`

  Type: `JsonNodeType`

  The node type to which the boxed type can be serialized into.

  The argument will be set by the function.
  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the type can be serialized, and `FALSE` otherwise.